#!/bin/bash

source `which setPortNumbers.sh`

TIMESTAMP=`date '+%Y%m%d%H%M%S'`
ART_DISK_CFG="physics: { \
  my_output_modules: [ normalOutput ] \
  end_paths: [ my_output_modules ] \
} \
outputs: { \
  normalOutput: { \
    module_type: RootOutput \
    fileName: \"OUTDIR/ds50daq_run000101_ebXX_${TIMESTAMP}.root\" \
    compressionLevel: 0 \
  } \
} \
source: \
{ \
  module_type: RawInput \
  waiting_time: 20 \
  resume_after_timeout: true \
  fragment_type_map: [[1, \"missed\"], [2, \"V1495\"], [3, \"V1720\"], [4, \"V1724\"]] \
} \
 \
process_name: ONLINEDEMO"


xmlrpc http://$readerHost:$frPort0/RPC2 daq.init "daq: {max_fragment_size_words: 524288 fragment_receiver: {mpi_buffer_count: 10 first_event_builder_rank: 1 event_builder_count: 1 generator: V172xSimulator freqs_file: \"ds50_hist.dat\" fragments_per_event: 1 nChannels: 3000 generator_ds50: {fragment_id: 0}}}" &

artConfig=`echo $ART_DISK_CFG | sed 's/XX/00/g'`
useArt=true
if [[ `echo $builderHost | grep 'fr'` != "" ]]; then
    if [[ `echo $builderHost | grep 'dsfr5'` != "" ]]; then
        artConfig=`echo $artConfig | sed 's,OUTDIR,/data/ds50tb,g'`
    else
        artConfig=`echo $artConfig | sed 's,OUTDIR,/data/wh14,g'`
    fi
else
    if [[ `echo $builderHost | grep 'dseb7'` != "" ]]; then
        artConfig=`echo $artConfig | sed 's,OUTDIR,/data1/ds50tb,g'`
    else
        artConfig=`echo $artConfig | sed 's,OUTDIR,/data1/wh14,g'`
    fi
fi
xmlrpc http://$builderHost:$ebPort0/RPC2 daq.init "daq: {max_fragment_size_words: 524288 event_builder: {mpi_buffer_count: 10 first_fragment_receiver_rank: 0 fragment_receiver_count: 1 expected_fragments_per_event: 1 use_art: true print_event_store_stats: true}} $artConfig" &

wait
